server:
  tomcat:
    uri-encoding: utf-8
spring:
  application:
    name: workflow-engine
  profiles:
    active: @profiles.active@
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
  cloud:
    nacos:
      # Nacos 作为注册中心的配置项，对应 NacosDiscoveryProperties 配置类
      discovery:
        enabled: true
        encode: UTF-8
        server-addr: @profiles.nacos.server-addr@ # Nacos 服务器地址
        group: @profiles.nacos.group@
        namespace: @profiles.nacos.namespace@
      config:
        enabled: true
        encode: UTF-8
        server-addr: ${spring.cloud.nacos.discovery.server-addr} # Nacos 服务器地址
        group: ${spring.cloud.nacos.discovery.group}
        namespace: ${spring.cloud.nacos.discovery.namespace} # Nacos 命名空间 dev 的编号
        file-extension: yaml
mybatis:
  root-path: com.mortals
  type-aliases-package: com.mortals.framework.model,com.mortals.xhx.common.**.model,com.mortals.xhx.**.model
  mapper-locations: classpath*:sqlmap/**/*.xml,classpath:/META-INF/modeler-mybatis-mappings/*.xml
  config-location: classpath*:config/mybatis-sqlmap-config.xml
  # 参数配置
  configuration-properties:
    # 配置流程引擎参数，详情可见 DatabaseConfiguration
    blobType: BLOB
    boolValue: TRUE
    # 不要设置库名，否则会出现双库名 bug
    prefix: ''
flowable:
  # 关闭异步，不关闭历史数据的插入就是异步的，会在同一个事物里面，无法回滚
  # 开发可开启会提高些效率，上线需要关闭
  async-executor-activate: false
  # 保存历史数据级别设置为full最高级别
  history-level: full
log:
logging:
  level:
    org:
      flowable:
        ui:
          modeler:
            domain:
              Model: debug


